<?php
$tdatapro_ventas = array();
$tdatapro_ventas[".searchableFields"] = array();
$tdatapro_ventas[".ShortName"] = "pro_ventas";
$tdatapro_ventas[".OwnerID"] = "";
$tdatapro_ventas[".OriginalTable"] = "pro_ventas";


$tdatapro_ventas[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatapro_ventas[".originalPagesByType"] = $tdatapro_ventas[".pagesByType"];
$tdatapro_ventas[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatapro_ventas[".originalPages"] = $tdatapro_ventas[".pages"];
$tdatapro_ventas[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatapro_ventas[".originalDefaultPages"] = $tdatapro_ventas[".defaultPages"];

//	field labels
$fieldLabelspro_ventas = array();
$fieldToolTipspro_ventas = array();
$pageTitlespro_ventas = array();
$placeHolderspro_ventas = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspro_ventas["Spanish"] = array();
	$fieldToolTipspro_ventas["Spanish"] = array();
	$placeHolderspro_ventas["Spanish"] = array();
	$pageTitlespro_ventas["Spanish"] = array();
	$fieldLabelspro_ventas["Spanish"]["CLIENTE"] = "CLIENTE";
	$fieldToolTipspro_ventas["Spanish"]["CLIENTE"] = "";
	$placeHolderspro_ventas["Spanish"]["CLIENTE"] = "";
	$fieldLabelspro_ventas["Spanish"]["FECHA"] = "FECHA";
	$fieldToolTipspro_ventas["Spanish"]["FECHA"] = "";
	$placeHolderspro_ventas["Spanish"]["FECHA"] = "";
	$fieldLabelspro_ventas["Spanish"]["MANGUERA"] = "MANGUERA";
	$fieldToolTipspro_ventas["Spanish"]["MANGUERA"] = "";
	$placeHolderspro_ventas["Spanish"]["MANGUERA"] = "";
	$fieldLabelspro_ventas["Spanish"]["NIT"] = "NIT";
	$fieldToolTipspro_ventas["Spanish"]["NIT"] = "";
	$placeHolderspro_ventas["Spanish"]["NIT"] = "";
	$fieldLabelspro_ventas["Spanish"]["NO_FACTURA"] = "NO FACTURA";
	$fieldToolTipspro_ventas["Spanish"]["NO_FACTURA"] = "";
	$placeHolderspro_ventas["Spanish"]["NO_FACTURA"] = "";
	$fieldLabelspro_ventas["Spanish"]["PLACA"] = "PLACA";
	$fieldToolTipspro_ventas["Spanish"]["PLACA"] = "";
	$placeHolderspro_ventas["Spanish"]["PLACA"] = "";
	$fieldLabelspro_ventas["Spanish"]["PRECIO"] = "PRECIO";
	$fieldToolTipspro_ventas["Spanish"]["PRECIO"] = "";
	$placeHolderspro_ventas["Spanish"]["PRECIO"] = "";
	$fieldLabelspro_ventas["Spanish"]["TOTAL"] = "TOTAL";
	$fieldToolTipspro_ventas["Spanish"]["TOTAL"] = "";
	$placeHolderspro_ventas["Spanish"]["TOTAL"] = "";
	$fieldLabelspro_ventas["Spanish"]["USUARIO"] = "USUARIO";
	$fieldToolTipspro_ventas["Spanish"]["USUARIO"] = "";
	$placeHolderspro_ventas["Spanish"]["USUARIO"] = "";
	$fieldLabelspro_ventas["Spanish"]["VOLUMEN"] = "VOLUMEN";
	$fieldToolTipspro_ventas["Spanish"]["VOLUMEN"] = "";
	$placeHolderspro_ventas["Spanish"]["VOLUMEN"] = "";
	$fieldLabelspro_ventas["Spanish"]["ID_PROMOCION"] = "ID PROMOCION";
	$fieldToolTipspro_ventas["Spanish"]["ID_PROMOCION"] = "";
	$placeHolderspro_ventas["Spanish"]["ID_PROMOCION"] = "";
	if (count($fieldToolTipspro_ventas["Spanish"]))
		$tdatapro_ventas[".isUseToolTips"] = true;
}


	$tdatapro_ventas[".NCSearch"] = true;



$tdatapro_ventas[".shortTableName"] = "pro_ventas";
$tdatapro_ventas[".nSecOptions"] = 0;

$tdatapro_ventas[".mainTableOwnerID"] = "";
$tdatapro_ventas[".entityType"] = 0;
$tdatapro_ventas[".connId"] = "bsn_dividendos_at_localhost";


$tdatapro_ventas[".strOriginalTableName"] = "pro_ventas";

	



$tdatapro_ventas[".showAddInPopup"] = false;

$tdatapro_ventas[".showEditInPopup"] = false;

$tdatapro_ventas[".showViewInPopup"] = false;

$tdatapro_ventas[".listAjax"] = false;
//	temporary
//$tdatapro_ventas[".listAjax"] = false;

	$tdatapro_ventas[".audit"] = true;

	$tdatapro_ventas[".locking"] = true;


$pages = $tdatapro_ventas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapro_ventas[".edit"] = true;
	$tdatapro_ventas[".afterEditAction"] = 1;
	$tdatapro_ventas[".closePopupAfterEdit"] = 1;
	$tdatapro_ventas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapro_ventas[".add"] = true;
$tdatapro_ventas[".afterAddAction"] = 1;
$tdatapro_ventas[".closePopupAfterAdd"] = 1;
$tdatapro_ventas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapro_ventas[".list"] = true;
}



$tdatapro_ventas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapro_ventas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapro_ventas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapro_ventas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapro_ventas[".printFriendly"] = true;
}



$tdatapro_ventas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapro_ventas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapro_ventas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapro_ventas[".isUseAjaxSuggest"] = true;



																																	

$tdatapro_ventas[".ajaxCodeSnippetAdded"] = false;

$tdatapro_ventas[".buttonsAdded"] = false;

$tdatapro_ventas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapro_ventas[".isUseTimeForSearch"] = false;


$tdatapro_ventas[".badgeColor"] = "1E90FF";


$tdatapro_ventas[".allSearchFields"] = array();
$tdatapro_ventas[".filterFields"] = array();
$tdatapro_ventas[".requiredSearchFields"] = array();

$tdatapro_ventas[".googleLikeFields"] = array();
$tdatapro_ventas[".googleLikeFields"][] = "FECHA";
$tdatapro_ventas[".googleLikeFields"][] = "CLIENTE";
$tdatapro_ventas[".googleLikeFields"][] = "MANGUERA";
$tdatapro_ventas[".googleLikeFields"][] = "NIT";
$tdatapro_ventas[".googleLikeFields"][] = "NO_FACTURA";
$tdatapro_ventas[".googleLikeFields"][] = "PLACA";
$tdatapro_ventas[".googleLikeFields"][] = "PRECIO";
$tdatapro_ventas[".googleLikeFields"][] = "TOTAL";
$tdatapro_ventas[".googleLikeFields"][] = "USUARIO";
$tdatapro_ventas[".googleLikeFields"][] = "VOLUMEN";
$tdatapro_ventas[".googleLikeFields"][] = "ID_PROMOCION";



$tdatapro_ventas[".tableType"] = "list";

$tdatapro_ventas[".printerPageOrientation"] = 0;
$tdatapro_ventas[".nPrinterPageScale"] = 100;

$tdatapro_ventas[".nPrinterSplitRecords"] = 40;

$tdatapro_ventas[".geocodingEnabled"] = false;










$tdatapro_ventas[".pageSize"] = 30;

$tdatapro_ventas[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY pro_ventas.FECHA";
$tdatapro_ventas[".strOrderBy"] = $tstrOrderBy;

$tdatapro_ventas[".orderindexes"] = array();
	$tdatapro_ventas[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "pro_ventas.FECHA");



$tdatapro_ventas[".sqlHead"] = "SELECT pro_ventas.FECHA,  pro_ventas.CLIENTE,  pro_ventas.MANGUERA,  pro_ventas.NIT,  pro_ventas.NO_FACTURA,  pro_ventas.PLACA,  pro_ventas.PRECIO,  pro_ventas.TOTAL,  pro_ventas.USUARIO,  pro_ventas.VOLUMEN,  pro_ventas.ID_PROMOCION";
$tdatapro_ventas[".sqlFrom"] = "FROM pro_ventas  INNER JOIN promocion ON pro_ventas.ID_PROMOCION = promocion.id_promocion";
$tdatapro_ventas[".sqlWhereExpr"] = "(promocion.estado = 1)";
$tdatapro_ventas[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdatapro_ventas[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapro_ventas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapro_ventas[".arrGroupsPerPage"] = $arrGPP;

$tdatapro_ventas[".highlightSearchResults"] = true;

$tableKeyspro_ventas = array();
$tableKeyspro_ventas[] = "NO_FACTURA";
$tdatapro_ventas[".Keys"] = $tableKeyspro_ventas;


$tdatapro_ventas[".hideMobileList"] = array();




//	FECHA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "FECHA";
	$fdata["GoodName"] = "FECHA";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","FECHA");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "FECHA";

		$fdata["sourceSingle"] = "FECHA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.FECHA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["FECHA"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "FECHA";
//	CLIENTE
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CLIENTE";
	$fdata["GoodName"] = "CLIENTE";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","CLIENTE");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "CLIENTE";

		$fdata["sourceSingle"] = "CLIENTE";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.CLIENTE";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["CLIENTE"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "CLIENTE";
//	MANGUERA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "MANGUERA";
	$fdata["GoodName"] = "MANGUERA";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","MANGUERA");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "MANGUERA";

		$fdata["sourceSingle"] = "MANGUERA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.MANGUERA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["MANGUERA"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "MANGUERA";
//	NIT
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "NIT";
	$fdata["GoodName"] = "NIT";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","NIT");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "NIT";

		$fdata["sourceSingle"] = "NIT";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.NIT";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["NIT"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "NIT";
//	NO_FACTURA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "NO_FACTURA";
	$fdata["GoodName"] = "NO_FACTURA";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","NO_FACTURA");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "NO_FACTURA";

		$fdata["sourceSingle"] = "NO_FACTURA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.NO_FACTURA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["NO_FACTURA"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "NO_FACTURA";
//	PLACA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "PLACA";
	$fdata["GoodName"] = "PLACA";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","PLACA");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PLACA";

		$fdata["sourceSingle"] = "PLACA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.PLACA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["PLACA"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "PLACA";
//	PRECIO
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "PRECIO";
	$fdata["GoodName"] = "PRECIO";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","PRECIO");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "PRECIO";

		$fdata["sourceSingle"] = "PRECIO";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.PRECIO";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["PRECIO"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "PRECIO";
//	TOTAL
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "TOTAL";
	$fdata["GoodName"] = "TOTAL";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","TOTAL");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "TOTAL";

		$fdata["sourceSingle"] = "TOTAL";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.TOTAL";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["TOTAL"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "TOTAL";
//	USUARIO
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "USUARIO";
	$fdata["GoodName"] = "USUARIO";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","USUARIO");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "USUARIO";

		$fdata["sourceSingle"] = "USUARIO";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.USUARIO";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["USUARIO"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "USUARIO";
//	VOLUMEN
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "VOLUMEN";
	$fdata["GoodName"] = "VOLUMEN";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","VOLUMEN");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "VOLUMEN";

		$fdata["sourceSingle"] = "VOLUMEN";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.VOLUMEN";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["VOLUMEN"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "VOLUMEN";
//	ID_PROMOCION
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "ID_PROMOCION";
	$fdata["GoodName"] = "ID_PROMOCION";
	$fdata["ownerTable"] = "pro_ventas";
	$fdata["Label"] = GetFieldLabel("pro_ventas","ID_PROMOCION");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "ID_PROMOCION";

		$fdata["sourceSingle"] = "ID_PROMOCION";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_ventas.ID_PROMOCION";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapro_ventas["ID_PROMOCION"] = $fdata;
		$tdatapro_ventas[".searchableFields"][] = "ID_PROMOCION";


$tables_data["pro_ventas"]=&$tdatapro_ventas;
$field_labels["pro_ventas"] = &$fieldLabelspro_ventas;
$fieldToolTips["pro_ventas"] = &$fieldToolTipspro_ventas;
$placeHolders["pro_ventas"] = &$placeHolderspro_ventas;
$page_titles["pro_ventas"] = &$pageTitlespro_ventas;


changeTextControlsToDate( "pro_ventas" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["pro_ventas"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["pro_ventas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pro_ventas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pro_ventas.FECHA,  pro_ventas.CLIENTE,  pro_ventas.MANGUERA,  pro_ventas.NIT,  pro_ventas.NO_FACTURA,  pro_ventas.PLACA,  pro_ventas.PRECIO,  pro_ventas.TOTAL,  pro_ventas.USUARIO,  pro_ventas.VOLUMEN,  pro_ventas.ID_PROMOCION";
$proto0["m_strFrom"] = "FROM pro_ventas  INNER JOIN promocion ON pro_ventas.ID_PROMOCION = promocion.id_promocion";
$proto0["m_strWhere"] = "(promocion.estado = 1)";
$proto0["m_strOrderBy"] = "ORDER BY pro_ventas.FECHA";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "promocion.estado = 1";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "estado",
	"m_strTable" => "promocion",
	"m_srcTableName" => "pro_ventas"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= 1";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "FECHA",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto6["m_sql"] = "pro_ventas.FECHA";
$proto6["m_srcTableName"] = "pro_ventas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CLIENTE",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto8["m_sql"] = "pro_ventas.CLIENTE";
$proto8["m_srcTableName"] = "pro_ventas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "MANGUERA",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto10["m_sql"] = "pro_ventas.MANGUERA";
$proto10["m_srcTableName"] = "pro_ventas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "NIT",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto12["m_sql"] = "pro_ventas.NIT";
$proto12["m_srcTableName"] = "pro_ventas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "NO_FACTURA",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto14["m_sql"] = "pro_ventas.NO_FACTURA";
$proto14["m_srcTableName"] = "pro_ventas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "PLACA",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto16["m_sql"] = "pro_ventas.PLACA";
$proto16["m_srcTableName"] = "pro_ventas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "PRECIO",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto18["m_sql"] = "pro_ventas.PRECIO";
$proto18["m_srcTableName"] = "pro_ventas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "TOTAL",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto20["m_sql"] = "pro_ventas.TOTAL";
$proto20["m_srcTableName"] = "pro_ventas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "USUARIO",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto22["m_sql"] = "pro_ventas.USUARIO";
$proto22["m_srcTableName"] = "pro_ventas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "VOLUMEN",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto24["m_sql"] = "pro_ventas.VOLUMEN";
$proto24["m_srcTableName"] = "pro_ventas";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "ID_PROMOCION",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto26["m_sql"] = "pro_ventas.ID_PROMOCION";
$proto26["m_srcTableName"] = "pro_ventas";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto28=array();
$proto28["m_link"] = "SQLL_MAIN";
			$proto29=array();
$proto29["m_strName"] = "pro_ventas";
$proto29["m_srcTableName"] = "pro_ventas";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "CLIENTE";
$proto29["m_columns"][] = "FECHA";
$proto29["m_columns"][] = "GANADOR";
$proto29["m_columns"][] = "ID_PROMOCION";
$proto29["m_columns"][] = "MANGUERA";
$proto29["m_columns"][] = "NIT";
$proto29["m_columns"][] = "NO_FACTURA";
$proto29["m_columns"][] = "NO_FACTURA2";
$proto29["m_columns"][] = "PLACA";
$proto29["m_columns"][] = "PRECIO";
$proto29["m_columns"][] = "TOTAL";
$proto29["m_columns"][] = "USUARIO";
$proto29["m_columns"][] = "VOLUMEN";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "pro_ventas";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "pro_ventas";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto0["m_fromlist"][]=$obj;
												$proto32=array();
$proto32["m_link"] = "SQLL_INNERJOIN";
			$proto33=array();
$proto33["m_strName"] = "promocion";
$proto33["m_srcTableName"] = "pro_ventas";
$proto33["m_columns"] = array();
$proto33["m_columns"][] = "codigo_aj";
$proto33["m_columns"][] = "descripcion";
$proto33["m_columns"][] = "estado";
$proto33["m_columns"][] = "fecha_fin";
$proto33["m_columns"][] = "fecha_inicial";
$proto33["m_columns"][] = "id_promocion";
$proto33["m_columns"][] = "nombre";
$obj = new SQLTable($proto33);

$proto32["m_table"] = $obj;
$proto32["m_sql"] = "INNER JOIN promocion ON pro_ventas.ID_PROMOCION = promocion.id_promocion";
$proto32["m_alias"] = "";
$proto32["m_srcTableName"] = "pro_ventas";
$proto34=array();
$proto34["m_sql"] = "promocion.id_promocion = pro_ventas.ID_PROMOCION";
$proto34["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id_promocion",
	"m_strTable" => "promocion",
	"m_srcTableName" => "pro_ventas"
));

$proto34["m_column"]=$obj;
$proto34["m_contained"] = array();
$proto34["m_strCase"] = "= pro_ventas.ID_PROMOCION";
$proto34["m_havingmode"] = false;
$proto34["m_inBrackets"] = false;
$proto34["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto34);

$proto32["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto32);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto36=array();
						$obj = new SQLField(array(
	"m_strName" => "FECHA",
	"m_strTable" => "pro_ventas",
	"m_srcTableName" => "pro_ventas"
));

$proto36["m_column"]=$obj;
$proto36["m_bAsc"] = 1;
$proto36["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto36);

$proto0["m_orderby"][]=$obj;					
$proto0["m_srcTableName"]="pro_ventas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pro_ventas = createSqlQuery_pro_ventas();


	
		;

											

$tdatapro_ventas[".sqlquery"] = $queryData_pro_ventas;



$tdatapro_ventas[".hasEvents"] = false;

?>